EDKB12WS Reference

# clsDBInteractionBase Members

clsDBInteractionBase Class Constructors Methods Fields Properties See Also

The following tables list the members exposed by the clsDBInteractionBase type.

Constructors

| Name | Description
--- | --- | ---
| clsDBInteractionBase Constructor |

Top
Properties

| Name | Description
--- | --- | ---
| cpMainConnectionProvider |
| iErrorCode |
| sConnectionString |

Top
Methods

| Name | Description
--- | --- | ---
| Delete |
| Dispose | (Overloaded)
| Equals | (Overloaded) (inherited from Object).
| Finalize | (inherited from Object).
| GetHashCode | (inherited from Object).
| GetType | (Overloaded) (inherited from Object).
| InitClass |
| Insert |
| MemberwiseClone | (Overloaded) (inherited from Object).
| ReferenceEquals | (inherited from Object).
| SelectAll |
| SelectOne |
| ToString | (inherited from Object).
| Update |

Top
Fields

| Name | Description
--- | --- | ---
| m_bIsDisposed |
| m_bMainConnectionIsCreatedLocal |
| m_cpMainConnectionProvider |
| m_iErrorCode |
| m_sConnectionString |
| m_scoMainConnection |

Top
See Also

#### Reference

clsDBInteractionBase Class
EDKB12WS.edokadb Namespace